package new_mobile_api_controllers

import "github.com/astaxie/beego"

func StaffScheduleApiControllersRegisterRouters() {

	beego.Router("/m/api/getmobiledoctorlist", &StaffScheduleApiController{}, "Get:GetMobileDoctorList")
	beego.Router("/m/api/getmobilestaffschedulelist", &StaffScheduleApiController{}, "Get:GetMobileStaffScheduleList")
	beego.Router("/m/api/getmobilenextweekschedulelist", &StaffScheduleApiController{}, "Get:GetMobileNextWeekScheduleLIst")
	beego.Router("/m/api/getschedulebyusertype", &StaffScheduleApiController{}, "Get:GetScheduleByUserType")
	beego.Router("/m/api/getsearchpatientbydoctorid", &StaffScheduleApiController{}, "Get:GetSearchPatientByDoctorId")
	beego.Router("/m/api/getmobileschedulelist", &StaffScheduleApiController{}, "Get:GetMobileSchedulelist")
	beego.Router("/m/api/getmobileschedulelisttoal", &StaffScheduleApiController{}, "Get:GetMobileScheduleListTotal")
	beego.Router("m/api/getmyschedule", &StaffScheduleApiController{}, "Get:GetMySchedule")
	beego.Router("/m/api/getmobilechartlist", &StaffScheduleApiController{}, "Get:GetMobileChartList")
	beego.Router("/m/api/tosearchmobiletotal", &StaffScheduleApiController{}, "Get:ToSearchMobileTotal")
	beego.Router("/m/api/changemobileoption", &StaffScheduleApiController{}, "Get:ChangeMobileOption")
	beego.Router("/m/api/getallzone", &StaffScheduleApiController{}, "Get:GetAllZone")
	beego.Router("/m/api/getpatientschedulelist", &StaffScheduleApiController{}, "Get:GetPatientScheduleList")
	beego.Router("/m/api/deleteSchedule", &StaffScheduleApiController{}, "Get:DeleteSchedule")
	beego.Router("/m/api/ssearchpatient", &StaffScheduleApiController{}, "Get:SearchPatient")
	beego.Router("/m/api/updatepatientschedule", &StaffScheduleApiController{}, "Get:UpdatePatientScheduleById")
}
